org.apache.jmeter.protocol.jms.sampler

## Class JMSProperty

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.protocol.jms.sampler.JMSProperty

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Searchable, TestElement

      public class JMSProperty
      extends AbstractTestElement
      implements java.io.Serializable

  JMS Property with type
  Since:
    2.11
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROP_NAME` Name used to store the JmsProperty's name.
    `static java.lang.String` | `PROP_TYPE` Name used to store the JmsProperty's description.
    `static java.lang.String` | `PROP_VALUE` Name used to store the JmsProperty's value.

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSProperty()` Create a new JmsProperty without a name, value, or metadata.
    `JMSProperty(java.lang.String name, java.lang.String value)` Create a new JmsProperty with the specified name and value, and String type.
    `JMSProperty(java.lang.String name, java.lang.String value, java.lang.String type)` Create a new JmsProperty with the specified name and value, and String type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Get the name of the JmsProperty.
    `java.lang.String` | `getType()` Gets the Meta Data attribute of the JmsProperty.
    `java.lang.String` | `getValue()` Gets the value of the JmsProperty object.
    `java.lang.Object` | `getValueAsObject()`
    `void` | `setName(java.lang.String newName)` Set the name of the JmsProperty.
    `void` | `setType(java.lang.String type)` Sets the Meta Data attribute of the JmsProperty.
    `void` | `setValue(java.lang.String newValue)` Sets the value of the JmsProperty.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Field Detail

    - #### PROP_NAME

          public static final java.lang.String PROP_NAME

      Name used to store the JmsProperty's name.
      See Also:
        Constant Field Values

    - #### PROP_VALUE

          public static final java.lang.String PROP_VALUE

      Name used to store the JmsProperty's value.
      See Also:
        Constant Field Values

    - #### PROP_TYPE

          public static final java.lang.String PROP_TYPE

      Name used to store the JmsProperty's description.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JMSProperty

          public JMSProperty()

      Create a new JmsProperty without a name, value, or metadata.

    - #### JMSProperty

          public JMSProperty(java.lang.String name,
                             java.lang.String value)

      Create a new JmsProperty with the specified name and value, and String type.
      Parameters:
        `name` - the prop name
        `value` - the prop value

    - #### JMSProperty

          public JMSProperty(java.lang.String name,
                             java.lang.String value,
                             java.lang.String type)

      Create a new JmsProperty with the specified name and value, and String type.
      Parameters:
        `name` - the prop name
        `value` - the prop value
        `type` - the type type

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String newName)

      Set the name of the JmsProperty.
      Specified by:
        `setName` in interface `TestElement`
      Overrides:
        `setName` in class `AbstractTestElement`
      Parameters:
        `newName` - the new name

    - #### getName

          public java.lang.String getName()

      Get the name of the JmsProperty.
      Specified by:
        `getName` in interface `TestElement`
      Overrides:
        `getName` in class `AbstractTestElement`
      Returns:
        the attribute's name

    - #### setValue

          public void setValue(java.lang.String newValue)

      Sets the value of the JmsProperty.
      Parameters:
        `newValue` - the new value

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the JmsProperty object.
      Returns:
        the attribute's value

    - #### setType

          public void setType(java.lang.String type)

      Sets the Meta Data attribute of the JmsProperty.
      Parameters:
        `type` - the new type

    - #### getType

          public java.lang.String getType()

      Gets the Meta Data attribute of the JmsProperty.
      Returns:
        the MetaData value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getValueAsObject

          public java.lang.Object getValueAsObject()

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.